<?xml version="1.0" encoding="UTF-8"?>
<MMANPOWER1 desc_thai="ทะเบียนอัตรากำลัง" desc_eng="Manpower table" editcheck="true" mainhelp="MMANPOWER1HELP" referhelp="JOBCODEID" mainkey="JOBCODEID" fieldsystem="*" protype="table" deleteflag="true" config_field="">
	<FIELD>
		<JOBCODEID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<RELATION>MJOBCODE</RELATION>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Jobcode ID</DESC_ENG>
			<DESC_THAI>ตำแหน่งงานตามหน้าที่ </DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>ตำแหน่งงานตามหน้าที่ </ALT_THAI>
				<ALT_ENG>Jobcode ID</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</JOBCODEID>
		<PLANID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<RELATION>MMANPOWER0</RELATION>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Manpower plan id</DESC_ENG>
			<DESC_THAI>รหัสงบประมาณ</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MMANPOWER0HELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Manpower plan id</ALT_ENG>
				<ALT_THAI>รหัสงบประมาณ</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</PLANID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>256</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>256</MAXSIZE>
				<SIZE>70</SIZE>
				<DISABLE>false</DISABLE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
		<REMARKS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>Remark</DESC_ENG>
			<DESC_THAI>หมายเหตุ</DESC_THAI>
			<COMPONENT type="textarea">
				<ALT_ENG>Remark</ALT_ENG>
				<ALT_THAI>หมายเหตุ</ALT_THAI>
				<LINES>3</LINES>
				<SIZECHAR>60</SIZECHAR>
			</COMPONENT>
		</REMARKS>
		<CURRENTMAN lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Current manpower</DESC_ENG>
			<DESC_THAI>จำนวนอัตรากำลัง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ONBLUR>CacTotalmanpower();</ONBLUR>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ALT_ENG>Current manpower</ALT_ENG>
				<ALT_THAI>จำนวนอัตรากำลัง</ALT_THAI>
			</COMPONENT>
		</CURRENTMAN>
		<USEDMAN lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Used manpower</DESC_ENG>
			<DESC_THAI>อัตรากำลังที่ใช้ไป</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ONCHANGE>CacTotalmanpower();</ONCHANGE>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ALT_ENG>Used manpower</ALT_ENG>
				<ALT_THAI>อัตรากำลังที่ใช้ไป</ALT_THAI>
			</COMPONENT>
			<!-- <REQUIRE>true</REQUIRE> -->
		</USEDMAN>
		<TOTALMAN lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Total manpower</DESC_ENG>
			<DESC_THAI>คงเหลืออัตรากำลัง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Total manpower</ALT_ENG>
				<ALT_THAI>คงเหลืออัตรากำลัง</ALT_THAI>
			</COMPONENT>
			<!-- <REQUIRE>true</REQUIRE> -->
		</TOTALMAN>
		<REDUCEMAN lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Reduce manpower</DESC_ENG>
			<DESC_THAI>ปรับลดอัตรากำลัง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ALT_ENG>Reduce manpower</ALT_ENG>
				<ALT_THAI>ปรับลดอัตรากำลัง</ALT_THAI>
				<VALUE>0</VALUE>
			</COMPONENT>
			<!-- <REQUIRE>true</REQUIRE> -->
		</REDUCEMAN>
		<REQUESTMAN lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Request manpower</DESC_ENG>
			<DESC_THAI>ขออัตรากำลัง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ALT_ENG>Request manpower</ALT_ENG>
				<ALT_THAI>ขออัตรากำลัง</ALT_THAI>
				<VALUE>0</VALUE>
			</COMPONENT>
			<!-- <REQUIRE>true</REQUIRE> -->
		</REQUESTMAN>
		<APPROVE_DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Approve Date</DESC_ENG>
			<DESC_THAI>วันที่อนุมัติ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Approve Date</ALT_ENG>
				<ALT_THAI>วันที่อนุมัติ</ALT_THAI>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONKEYUP>formatDate(this);</ONKEYUP>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</APPROVE_DATE>
		<APPROVE_STATUS lang="A" encrypt="false" log="false" type="String">
            <WIDTH>3</WIDTH>
            <DESC_ENG>Approve status</DESC_ENG>
            <DESC_THAI>สถานะเอกสาร</DESC_THAI>
            <COMPONENT type="list">
                <MAXSIZE>3</MAXSIZE>
                <VALUE>ENG</VALUE>
                <SIZE>3</SIZE>
				<ONCHANGE>Enablefield();</ONCHANGE>
                <ALT_ENG>Approve status</ALT_ENG>
                <ALT_THAI>สถานะเอกสาร</ALT_THAI>
                <VALIDCODE>PLAN_ACTIVE</VALIDCODE>
            </COMPONENT>
            <REQUIRE>true</REQUIRE>
        </APPROVE_STATUS>
	</FIELD>
	<RELATION>
	</RELATION>
</MMANPOWER1>
